#ifndef __SEZNAM_H__
#define __SEZNAM_H__

using T = int;
const T NULA = 0;

//typedef int T;

struct Prvek
{
	T data;
	Prvek* dalsi;
};

struct Seznam
{
	Prvek* hlava;
	Prvek* zarazka;
	size_t velikost;
};

void vytvor_seznam(Seznam& s);
void vloz_na_zacatek(Seznam& s, T co);
void vloz_na_konec(Seznam& s, T co);
void odstran_prvni(Seznam& s);
bool prazdny(Seznam& s);
size_t velikost_seznamu(Seznam& s);
void vyprazdni(Seznam& s);
void zrus(Seznam& s);
Prvek* najdi(Seznam& s, T hodnota);
void vloz_za_prvek(Seznam& s, T hledane, T pridane);
// void odstran_hodnotu(Seznam& s, T hodnota);
Prvek* minimum(Seznam& s);
void vypis(Seznam& s);

#endif // __SEZNAM_H__
